{проверка: простое ли введенное число}
var a,i : Longint;
begin
Writeln ('Введите натуральное число');
ReadLn(a);
 if a=1 then Writeln('Число равно 1')
 else
  begin
   for i:=2 to trunc (sqrt(a)) do
     begin
       if a mod i = 0  then
        begin
         WriteLn(a,'-составное число');
         ReadLn;
         exit;  {тут можно поставить переменную и придать ей значение, а ниже поставить прроверку}
        end;
     end;
   WriteLn(a,'-простое число');
  end;
ReadLn;
end.
